Loading...
Searching...
No Matches
error_helper File Reference

Error helper. More...

`#include <l4/sys/types.h>`
`#include <l4/cxx/exceptions>`
`#include <l4/cxx/type_traits>`
`#include <l4/sys/err.h>`
`#include <stdarg.h>`
`#include <stdio.h>`
Include dependency graph for error_helper:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | L4Re
| L4Re C++ Interfaces.

## Functions

void | L4Re::throw_error (long err, char const *extra="")
| Generate C++ exception.
long | L4Re::chksys (long err, char const *extra="", long ret=0)
| Generate C++ exception on error.
long | L4Re::chksys (l4_msgtag_t const &t, char const *extra="", l4_utcb_t *utcb=l4_utcb(), long ret=0)
| Generate C++ exception on error.
long | L4Re::chksys (l4_msgtag_t const &t, l4_utcb_t *utcb, char const *extra="")
| Generate C++ exception on error.
template<typename T>
T | L4Re::chkcap (T &&cap, char const *extra="", long err=-L4_ENOMEM)
| Check for valid capability or raise C++ exception.
l4_msgtag_t | L4Re::chkipc (l4_msgtag_t tag, char const *extra="", l4_utcb_t *utcb=l4_utcb())
| Test a message tag for IPC errors.

## Detailed Description

Error helper.

Definition in file error_helper.